Subject: bug#57868: GStreamer gst_gstsystemclock test fails on CI for i686

From: Nicolas Graves <[email-masked]>
Date: Tue, 26 Dec 2023 10:08:13 +0100

On 2023-12-25 19:00, Nicolas Graves wrote:

> Hi Marius,
>
> I think a similar issue also happens on x86_64. For some reason, the
> binary is available through guix weather, but I'm unable to build the
> package locally (with --check). Can you confirm it's not just on my
> side?

Sorry it's not the gst_gstsystemclock but rather the
libs_gstnetclientclock that fails consistently. You can ignore the patch
sent. 

>  
> I'm going to send a patch which basically adds this phase for all
> platforms after this email, I'll be using this locally. 
>
> Cheers,
> Nicolas 
>
>
> On 2022-09-17 00:30, Marius Bakke wrote:
>
>> Hi,
>>
>> On i686-linux, the gstreamer gst_gstsystemclock test is failing:
>>
>> --8<---------------cut here---------------start------------->8---
>>  41/108 gst_gstsystemclock            FAIL            1.26s   exit status 2
>>>>> GST_PLUGIN_SYSTEM_PATH_1_0='' CK_DEFAULT_TIMEOUT=600 GST_STATE_IGNORE_ELEMENTS='' MALLOC_PERTURB_=230 GST_PLUGIN_SCANNER_1_0=/tmp/guix-build-gstreamer-1.20.3.drv-0/build/libs/gst/helpers/gst-plugin-scanner GST_PLUGIN_LOADING_WHITELIST=gstreamer GST_REGISTRY=/tmp/guix-build-gstreamer-1.20.3.drv-0/build/tests/check/gst_gstsystemclock.registry GST_PLUGIN_PATH_1_0=/tmp/guix-build-gstreamer-1.20.3.drv-0/build /tmp/guix-build-gstreamer-1.20.3.drv-0/build/tests/check/gst_gstsystemclock
>> ????????????????????????????????????? ?  ?????????????????????????????????????
>> stdout:
>> Running suite(s): GstSystemClock
>> 75%: Checks: 8, Failures: 0, Errors: 2
>> ../gstreamer-1.20.3/tests/check/gst/gstsystemclock.c:263:E:waiting:test_stress_cleanup_unschedule:0: (after this point) Received signal 5 (Trace/breakpoint trap)
>> ../gstreamer-1.20.3/tests/check/gst/gstsystemclock.c:263:E:waiting:test_stress_reschedule:0: (after this point) Received signal 5 (Trace/breakpoint trap)
>> Check suite gst_systemclock ran in 1.236s (tests failed: 2)
>> stderr:
>>
>> (gst_gstsystemclock:5546): GLib-ERROR **: 22:57:16.217: creating thread 'wait': Error creating thread: Resource temporarily unavailable
>>
>> (gst_gstsystemclock:6027): GLib-ERROR **: 22:57:16.340: creating thread 'wait': Error creating thread: Resource temporarily unavailable
>> ??????????????????????????????????????????????????????????????????????????????
>> --8<---------------cut here---------------end--------------->8---
>>
>> Full log output here:
>>
>>   https://ci.guix.gnu.org/build/1305526/log/raw
>>
>> I'm not able to reproduce this locally.  Any idea what might be going on
>> here?  Parallelism issue?
>>
>> Note: we have disabled these tests on i686 for a long time, but they
>> were recently enabled again on 'staging'.  I'll re-apply that hunk to
>> disable the test, but wanted to have an issue to link to.
>>
>>
>>

-- 
Best regards,
Nicolas Graves